package com.zj365.health.weight

import android.content.Context
import android.view.Gravity
import android.view.View
import com.xty.base.dialog.BaseDialog
import com.zj365.health.databinding.DialogCancerBinding
import com.zj365.health.databinding.DialogQuestionBinding
import com.zj365.health.databinding.DialogTipToastBinding

class QuestionDialog (context: Context, var isShowCancel:Boolean=false, var title:String, var confirm:()->Unit): BaseDialog(context) {
    val binding by lazy{ DialogQuestionBinding.inflate(layoutInflater)}
    override fun setLayout()=binding.root
    override fun initView() {
        super.initView()
        setDialogPadding(40,0,40,0)
        binding.mTitle.text=title

        binding.mTvCancel.setOnClickListener {
            confirm.invoke()
            dismiss()
        }


        if(isShowCancel){
            binding.mTvCancel.visibility= View.GONE
        }
    }
}